%global gem_name amq-protocol

Name: rubygem-%{gem_name}
Version: 1.9.2
Release: 1%{?dist}
Summary: AMQP 0.9.1 encoder & decoder
Group: Development/Languages
License: MIT
URL: http://github.com/ruby-amqp/amq-protocol
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems)
BuildRequires: rubygem(rspec)
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
amq-protocol is an AMQP 0.9.1 serialization library for Ruby. It is not an
AMQP client: amq-protocol only handles serialization and deserialization.
If you want to write your own AMQP client, this gem can help you with that.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec

%gem_install

%check
pushd ./%{gem_instdir}
rspec -Ilib spec
popd

%install

mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_instdir}/Rakefile
%exclude %{gem_instdir}/amq-protocol.gemspec
%exclude %{gem_instdir}/benchmarks/*
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.rspec

%{gem_cache}
%{gem_spec}
%{gem_instdir}/codegen/*
%{gem_instdir}/profiling/*
%{gem_instdir}/generate.rb
%{gem_instdir}/.gitmodules



%files doc
%{gem_docdir}
%{gem_instdir}/README.md
%{gem_instdir}/ChangeLog.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/spec/*

%changelog
* Sat Jan 11 2014 Nitesh Narayan Lal<niteshnarayan@fedoraproject.org> - 1.9.2-1
-Initial package
